> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all shipping methods

> Get all shipping methods



## OpenAPI

````yaml oms_v1 get /api-shipping/shipping/all
openapi: 3.0.0
info:
  description: Order Management System
  version: 1.0.0
  title: Orders v1 (OMS v1)
  contact:
    email: oms-team@fabric.inc
  license:
    name: fabric API license
    url: https://fabric.inc/api-license
servers:
  - url: https://prod01-apigw.{customer_name}.fabric.zone
    description: Production
    variables:
      customer_name:
        default: yourcompany
        description: Customer name, provided by support team
security: []
tags:
  - name: Cart
    description: >-
      Cart APIs<br /><br />**Note:** These are the legacy Cart APIs. To view
      fabric's new Cart APIs, navigate to *Cart API > Cart* from the left side
      navigation pane.
  - name: Bill To
    description: Bill To APIs [Deprecated]
  - name: Ship To
    description: >-
      Ship To APIs<br /><br />**Note:** These are the legacy Ship To APIs. To
      view fabric's new Shipping APIs, navigate to *Cart API > Shipping* from
      the left side navigation pane.
  - name: Wishlist
    description: Wishlist APIs
  - name: Cart Decoupled
    description: Cart Decoupled APIs
  - name: Warehouse
    description: Warehouse APIs
  - name: Inventory
    description: Inventory APIs
  - name: Attributes
    description: >-
      Attributes APIs<br /><br />**Note:** These are the legacy Attribute APIs.
      To view fabric's new Attribute APIs, navigate to *Cart API > Attribute*
      from the left side navigation pane.
  - name: List
    description: List APIs
  - name: Tax/Address Validate
    description: Tax/Address Validate APIs
  - name: Shipping
    description: Shipping APIs
  - name: Payments
    description: Payments APIs
  - name: Order
    description: Order APIs
paths:
  /api-shipping/shipping/all:
    get:
      tags:
        - Shipping
      summary: Get all shipping methods
      description: Get all shipping methods
      operationId: getAllShippingMethods
      parameters:
        - $ref: '#/components/parameters/xSiteContent'
        - in: query
          name: addressType
          schema:
            type: string
          description: shipping method addressType
        - in: query
          name: channel
          schema:
            type: string
          description: shipping method channel
        - in: query
          name: region
          schema:
            type: string
          description: shipping method region
        - in: query
          name: deleted
          schema:
            type: boolean
          description: shipping method deleted
      responses:
        '200':
          description: Shipping Methods
          content:
            application/json:
              schema:
                type: array
                items:
                  allOf:
                    - type: object
                      properties:
                        addressType:
                          type: array
                          items:
                            type: string
                            example: PO
                          example:
                            - PO
                            - Business
                            - Residence
                            - APO
                            - MPO
                        channel:
                          type: array
                          items:
                            type: integer
                            example: 12
                        name:
                          type: string
                          example: 2 Day
                        description:
                          type: string
                          example: 2 Day - guaranteed 2 day delivery by 9pm
                        taxCode:
                          type: string
                          example: FR020000
                        minimumDays:
                          type: number
                          example: 1
                        maximumDays:
                          type: number
                          example: 2
                        cutOffTime:
                          type: number
                          example: 2100
                        cost:
                          type: number
                          example: 11.99
                        regoin:
                          type: string
                          example: USA
                        createdBy:
                          type: string
                          example: 41224d776a326fb40f000001
                        shippingMethodId:
                          type: number
                          example: 10002
                        __v:
                          type: number
                          example: 0
                    - type: object
                      properties:
                        _id:
                          type: string
                          example: 5fee9d59f2f08a1b3cbdea08
                        createdAt:
                          type: string
                          example: '2020-12-31T02:09:53.914Z'
                        updatedAt:
                          type: string
                          example: '2020-12-31T02:09:53.914Z'
        '400':
          $ref: '#/components/responses/GenericClientError'
        '500':
          $ref: '#/components/responses/GenericServerError'
components:
  parameters:
    xSiteContent:
      name: x-site-context
      in: header
      description: >-
        The `x-site-context` header is a JSON object that contains information
        about the source you wish to pull from. The mandatory `account` is the
        24 character identifier found in Copilot. The `channel` (Sales channel
        ID), `stage` (environment name), and `date` attributes can be used to
        further narrow the scope of your data source.
      required: true
      schema:
        type: string
        example: >-
          {"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account":
          "1234abcd5678efgh9ijklmno","stage":"production"}
  responses:
    GenericClientError:
      description: A generic client error
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                description: The error code
                type: string
              message:
                description: The error message
                type: string
    GenericServerError:
      description: A generic server error
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                description: The error code
                type: string
              message:
                description: The error message
                type: string

````